%define _name librsvg
%define ver_major 2.9
%def_disable static
%def_with croco

Name: librsvg2
Version: %ver_major.5
Release: alt1

Summary: An SVG library based on libart
License: LGPL
Group: System/Libraries

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

%define gtk_ver 2.6.0
%define gtk_binary_ver 2.4.0
%define libxml2_ver 2.5.6
%define glib_ver 2.6.0
%define libart_lgpl_ver 2.3.17
%define pango_ver 1.8.0
%define freetype2_ver 2.1.2
%define libgsf_ver 1.10.1
%define croco_ver 0.6.0

PreReq: libgtk+2 >= %gtk_ver
%if_with croco
PreReq: libcroco >= %croco_ver
%endif

Requires: libxml2 >= %libxml2_ver
Requires: glib2 >= %glib_ver
Requires: libart_lgpl >= %libart_lgpl_ver
Requires: freetype2 >= %freetype2_ver
Requires: libpango >= %pango_ver
Requires: libgsf >= %libgsf_ver

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libart_lgpl-devel >= %libart_lgpl_ver
BuildPreReq: freetype2-devel >= %freetype2_ver
BuildPreReq: libpango-devel >= %pango_ver
BuildPreReq: libgsf-devel >= %libgsf_ver

%if_with croco
BuildPreReq: libcroco-devel >= %croco_ver
%endif

# Automatically added by buildreq on Wed Mar 17 2004
BuildRequires: docbook-dtds docbook-style-dsssl docbook-utils fontconfig-devel
BuildRequires: freetype2-devel gcc-c++ glib2-devel glibc-devel-static gtk-doc
BuildRequires: libart_lgpl-devel libatk-devel libgsf-devel libgtk+2-devel
BuildRequires: libpango-devel libpopt-devel libxml2-devel mozilla-devel
BuildRequires: openjade pkgconfig sgml-common zlib-devel

%description
An SVG library based on libart.

%package devel
Summary: Libraries and include files for developing with librsvg
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: gtk2-devel >= %gtk_ver
Requires: libxml2-devel >= %libxml2_ver
Requires: freetype2-devel >= %freetype2_ver
Requires: glib2-devel >= %glib_ver
Requires: libart_lgpl-devel >= %libart_lgpl_ver
Requires: libpango-devel >= %pango_ver
%if_with croco
Requires: libcroco-devel >= %croco_ver
%endif

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

%package devel-doc
Summary: Development documentation for %name
Group: Development/GNOME and GTK+
Conflicts: %name < %version-%release

%description devel-doc
%name is a SVG library based on libart.
This package contains development documentation for %name

%package devel-static
Summary: Static libraries for developing with librsvg
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
This package provides the necessary static libraries files to allow you
to build static software with librsvg.

%package utils
Summary: Utilities to manipulate SVG files
Group: Graphics
Requires: %name = %version-%release

%description utils
This package contains small utilities to manipulate SVG files found in
%name package.

%package -n mozilla-plugin-svg
Summary: SVG plugin for Mozilla
Group: Graphics
Requires: %name = %version-%release

%description -n mozilla-plugin-svg
This package contains SVG plugin for Mozilla web browser.

%define _gtk_docdir %_datadir/gtk-doc/html
%define _mozilla_plugindir %_libdir/mozilla/plugins

%prep
%setup -q -n %_name-%version

%build
%configure \
	%{subst_enable static} \
	--enable-pixbuf-loader \
	--enable-gtk-theme \
	--with-svgz \
	--with-html-dir=%buildroot%_gtk_docdir/%name \
%if_without croco
	--without-croco
%endif

%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/gtk-2.0/%gtk_binary_ver/*/*.la

%__bzip2 -9fk ChangeLog

%post
%post_ldconfig
%_bindir/gdk-pixbuf-query-loaders > %_sysconfdir/gtk-2.0/gdk-pixbuf.loaders

%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%_libdir/gtk-2.0/%gtk_binary_ver/*/*.so
%doc AUTHORS ChangeLog* NEWS README TODO

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/%_name-2.0.pc

%files devel-doc
%_gtk_docdir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%_libdir/gtk-2.0/%gtk_binary_ver/*/*.a
%endif

%files utils
%_bindir/*
%_man1dir/*
%_datadir/pixmaps/*

%files -n mozilla-plugin-svg
%_mozilla_plugindir/*

%changelog
* Sun Feb 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.5-alt1
- 2.9.5.
- development documentation moved to devel-doc subpackage.

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0
- mozilla-plugin-svg subpackage.

* Wed Mar 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.4-alt1
- 2.6.4

* Fri Mar 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.3-alt1
- 2.6.3

* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Wed Mar 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Thu Jan 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.0-alt1
- 2.5.0

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt3
- do not package .la files.
- do not build devel-static subpackage by default.

* Tue Oct 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- no more gimp plugin.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt2
- rebuild for new gimp2 (1.3.18).

* Tue Jul 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Sat Jul 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt3
- disable croco support.

* Thu Jul 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt2
- rebuild with new libgimp.
- css support via libcroco enabled.

* Tue Apr 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Tue Mar 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.5-alt1
- 2.2.5

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.4-alt1
- 2.2.4

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3-alt1
- 2.2.3

* Sun Feb 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Tue Jan 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Mon Jan 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt2
- rebuild with new gtk-2.1.5.

* Mon Nov 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Nov 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt2
- rebuild with new gtk+2.
- Run gdk-pixbuf-query-loaders in %%post.
- utils subpackage.

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1

* Sun Jun 23 2002 Igor Androsov <blake@altlinux.ru> 2.0.0-alt1
- Adopted for AltLinux
- .a moved to %name-devel-static
- Fix *Req*

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May 02 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- 1.1.6

* Mon Feb 11 2002 Alex Larsson <alexl@redhat.com> 1.1.3-1
- Update to 1.1.3

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- new CVS snap 1.1.0.91
- remove automake/autoconf calls

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- convert to librsvg2 RPM

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 1.0.2

* Fri Jul 27 2001 Alexander Larsson <alexl@redhat.com>
- Add a patch that moves the includes to librsvg-1/librsvg
- in preparation for a later librsvg 2 library.

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- build requires gnome-libs-devel, #49509

* Thu Jul 19 2001 Havoc Pennington <hp@redhat.com>
- own /usr/include/librsvg

* Wed Jul 18 2001 Akira TAGOH <tagoh@redhat.com> 1.0.0-4
- fixed the linefeed problem in multibyte environment. (Bug#49310)

* Mon Jul 09 2001 Havoc Pennington <hp@redhat.com>
- put .la file back in package

* Fri Jul  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Put changelog at the end
- Move .so files to devel subpackage
- Don't mess with ld.so.conf
- Don't use %%{prefix}, this isn't a relocatable package
- Don't define a bad docdir
- Add BuildRequires
- Use %%{_tmppath}
- Don't define name, version etc. on top of the file (why do so many do that?)
- s/Copyright/License/

* Wed May  9 2001 Jonathan Blandford <jrb@redhat.com>
- Put into Red Hat Build system

* Tue Oct 10 2000 Robin Slomkowski <rslomkow@eazel.com>
- removed obsoletes from sub packages and added mozilla and trilobite
subpackages

* Wed Apr 26 2000 Ramiro Estrugo <ramiro@eazel.com>
- created this thing
